#shop2-msg2 {
  min-width: 420px;
  padding: 30px;
  text-align: center;
  font-size: 18px;
  line-height: 1.1;
  color: var(--txt_a);
  font-weight: bold;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  background: #fff;
  border-radius: 6px;
  transform: translate(-50%, -50%);
  z-index: 1000;
}
.cart-total__share-btn {
  text-align: right;
  margin-bottom: 20px;
}
.cart-total__share-btn.cart-total__share-btn2 {
  display: none;
}
.cart-total__share-btn a {
  display: inline-flex;
  align-items: center;
  vertical-align: top;
  text-decoration: none;
  background: #f0f0f0;
  color: #949eab;
  font-weight: 600;
  font-size: 14px;
  transition: all 0.3s ease;
  padding: 5px 10px;
  border-radius: 3px;
}
.cart-total__share-btn a i {
  font-size: 0;
  line-height: 0;
  margin: 0 6px 0 0;
}
.cart-total__share-btn a svg {
  fill: #949eab;
  transition: all 0.3s ease;
}
.cart-total__share-btn a:hover {
  background: #e0e0e0;
  color: #666;
}
.cart-total__share-btn a:hover svg {
  fill: #666;
}
.shop2-product .product-art-wrap, .shop2-cart-total__payments {
  margin-bottom: 15px;
}
.shop2-discount-wrapper {
  border-bottom: 1px solid rgba(16, 16, 16, 0.08);
  margin: 0 0 25px;
  width: 100%;
  line-height: normal;
}
.shop2-discount:empty {
  border-bottom: 0;
  margin: 0;
}
.shop2-discount-title {
  font-size: 14px;
  padding: 0 0 6px;
  font-weight: 500;
  font-size: 15px;
}
.shop2-discount-item {
  padding: 5px 10px;
  border-top: 1px solid rgba(16, 16, 16, 0.08);
  line-height: 0;
  font-size: 0;
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
  background: none;
  gap: 5px;
}
.shop2-discount-item-title {
  max-width: 40.33%;
  width: 100%;
  font-size: 14px;
  line-height: normal;
  flex: 1 1 auto;
}
.shop2-discount-item-value {
  display: flex;
  flex: 1 1 auto;
  gap: 3px;
  max-width: 26.33%;
  width: 100%;
  font-size: 14px;
  line-height: normal;
  opacity: 0;
  visibility: hidden;
}
.shop2-discount-item-price-wrapper {
  display: flex;
  max-width: 33.33%;
  width: 100%;
  align-items: center;
  gap: 5px;
  flex: 1 1 auto;
}
@media (max-width: 640px) {
  .shop2-discount-item-price-wrapper {
    max-width: 100%;
    justify-content: flex-end;
  }
}
.shop2-discount-item-price-value {
  font-size: 14px;
  line-height: normal;
  display: flex;
  gap: 3px;
}
.shop2-discount-item-active {
  background: #eee;
  border-radius: 3px;
}
@media (max-width: 991px) {
  .site-wrap-in {
    padding-top: 20px;
  }
}
@media (max-width: 768px) {
  .cart-total__share-btn.cart-total__share-btn2 {
    display: block;
  }
}
